Subject: Re: bug#76629: NS click events don't select right window

From: Daniel Colascione <[email-masked]>
Date: Sun, 02 Mar 2025 18:05:42 -0500

Ship Mints <[email-masked]> writes:

Please don't top-post.

> I'm on 12.7.6, perhaps this is associated with behavioral changes in later
> macOS releases.  Do you have an example of another application you switch
> to when you see this behavior?  I switch to Chrome or another Emacs session
> or Terminal.app and back and I don't see the issue.  The window I last
> selected remains selected and if I click in any other window, that one is
> correctly selected.  I tried again both with my configuration and on master
> with -Q and it seems fine.

That's a pretty old version.  It's also after EOL, so you're risking
security problems by not upgrading.

As for the click change ---- who knows? Maybe Apple has
changed something. Emacs works fine on master now.